# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['productai']

package_data = \
{'': ['*']}

install_requires = \
['requests>=2.12.1,<3.0.0', 'six>=1.10.0,<2.0.0']

setup_kwargs = {
    'name': 'productai',
    'version': '0.7.12',
    'description': '',
    'long_description': "ProductAI SDK for Python\n========================\n\n.. image:: https://travis-ci.org/MalongTech/productai-python-sdk.svg?branch=master\n    :target: https://travis-ci.org/MalongTech/productai-python-sdk\n\n.. image:: https://badge.fury.io/py/productai.svg\n    :target: https://badge.fury.io/py/productai\n\n.. image:: https://codeclimate.com/github/MalongTech/productai-python-sdk/badges/gpa.svg\n   :target: https://codeclimate.com/github/MalongTech/productai-python-sdk\n      :alt: Code Climate\n\nProductAI\xc2\xae SDKs enable using ProductAI\xc2\xae APIs easily in the programming language of your choice. You can use our Python SDK to send image queries and maintain your datasets.\n\ninstallation\n--------------------\n\n.. code-block:: bash\n\n    $ pip install productai\n\nUsage\n--------\n\nPlease read `ProductAI Developers Documentation <https://developers.productai.com/en/>`_\n\nAPI Endpoint\n------------------\n\n- For using ProductAI out of China, please set API endpoint to https://api.productai.com\n- For using ProductAI in China, please set API endpoint to https://api.productai.cn\n\n.. code-block:: python\n\n    from productai import Client\n\n    # default value is: https://api.productai.cn\n    cli = Client(access_key_id, access_key_secret, url_root='https://api.productai.com')\n    or\n    cli = Client(access_key_id, access_key_secret)\n    cli.url_root = 'https://api.productai.com'\n\n\n\xe5\xae\x89\xe8\xa3\x85\n--------\n\n.. code-block:: bash\n\n    $ pip install productai\n\n\n\xe4\xbd\xbf\xe7\x94\xa8\xe8\xaf\xb4\xe6\x98\x8e\n--------\n\n\xe8\xaf\xb7\xe9\x98\x85\xe8\xaf\xbb `ProductAI\xe5\xbc\x80\xe5\x8f\x91\xe8\x80\x85\xe6\x96\x87\xe6\xa1\xa3 <https://developers.productai.cn/zh/>`_\n\n\nAPI\xe8\x8a\x82\xe7\x82\xb9\n--------\n\n- \xe5\x9c\xa8\xe4\xb8\xad\xe5\x9b\xbd\xe5\xa4\xa7\xe9\x99\x86\xe4\xbb\xa5\xe5\xa4\x96\xe5\x9c\xb0\xe5\x8c\xba\xe8\xb0\x83\xe7\x94\xa8ProductAI\xef\xbc\x8c\xe8\xaf\xb7\xe4\xbd\xbf\xe7\x94\xa8API\xe5\x9c\xb0\xe5\x9d\x80 https://api.productai.com\n- \xe5\x9c\xa8\xe4\xb8\xad\xe5\x9b\xbd\xe5\xa4\xa7\xe9\x99\x86\xe5\x9c\xb0\xe5\x8c\xba\xe8\xb0\x83\xe7\x94\xa8ProductAI\xef\xbc\x8c\xe8\xaf\xb7\xe4\xbd\xbf\xe7\x94\xa8API\xe5\x9c\xb0\xe5\x9d\x80 https://api.productai.cn\n\n.. code-block:: python\n\n    from productai import Client\n\n    # default value is: https://api.productai.cn\n    cli = Client(access_key_id, access_key_secret, url_root='https://api.productai.com')\n    or\n    cli = Client(access_key_id, access_key_secret)\n    cli.url_root = 'https://api.productai.com'\n",
    'author': 'Malong',
    'author_email': 'pypi@malongtech.com',
    'url': 'https://github.com/MalongTech/productai-python-sdk',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*',
}


setup(**setup_kwargs)
